Index · Directives · Python · libudev · gudev systemd 220

## Name

systemd-hwdb — hardware database management tool

## Synopsis

`systemd-hwdb [options] update`

`systemd-hwdb [options] query `modalias``

## Description

systemd-hwdb expects a command and command specific arguments. It manages the binary hardware database.

## Options

`-h`, `--help`

  Print help text.

`--usr`

  Generate in /usr/lib/udev instead of /etc/udev.

`-r`, `--root=`PATH``

  Alternative root path in the filesystem.

### systemd-hwdb [`options`] update

Update the binary database.

### systemd-hwdb [`options`] query [`MODALIAS`]

Query database and print result.

## See Also

hwdb(7)